Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.lang
Class MetaBeanProperty

    java.lang.Object
      groovy.lang.MetaProperty
          groovy.lang.MetaBeanProperty

Direct Known Subclasses:
  MixinInstanceMetaProperty, ThreadManagedMetaBeanProperty

    public class MetaBeanProperty
    extends MetaProperty

Represents a property on a bean which may have a getter and/or a setter

Version:
  $Revision: 20589 $
Author:
  James Strachan, Pilho Kim

Field Summary
Modifier and Type | Field and Description
--- | ---

Fields inherited from class groovy.lang.MetaProperty
`name, PROPERTY_SET_PREFIX, type`

Constructor Summary
Constructor and Description
`MetaBeanProperty(String name, Class type, MetaMethod getter, MetaMethod setter)`

Method Summary
Modifier and Type | Method and Description
--- | ---
`CachedField` | `getField()`
`MetaMethod` | `getGetter()` Get the getter method.
`int` | `getModifiers()`
`Object` | `getProperty(Object object)` Get the property of the given object.
`MetaMethod` | `getSetter()` Get the setter method.
`void` | `setField(CachedField f)`
`void` | `setProperty(Object object, Object newValue)` Set the property on the given object to the new value.

Methods inherited from class groovy.lang.MetaProperty
`getGetterName, getName, getSetterName, getType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MetaBeanProperty

    public MetaBeanProperty(String name,
                            Class type,
                            MetaMethod getter,
                            MetaMethod setter)

Method Detail

### getProperty

    public Object getProperty(Object object)

  Get the property of the given object.

  Specified by:
    `getProperty` in class `MetaProperty`
  Parameters:
    `object` - which to be got
  Returns:
    the property of the given object
  Throws:
    `RuntimeException` - if the property could not be evaluated

### setProperty

    public void setProperty(Object object,
                            Object newValue)

  Set the property on the given object to the new value.

  Specified by:
    `setProperty` in class `MetaProperty`
  Parameters:
    `object` - on which to set the property
    `newValue` - the new value of the property
  Throws:
    `RuntimeException` - if the property could not be set

### getGetter

    public MetaMethod getGetter()

  Get the getter method.

### getSetter

    public MetaMethod getSetter()

  Get the setter method.

### getModifiers

    public int getModifiers()

  Overrides:
    `getModifiers` in class `MetaProperty`

### setField

    public void setField(CachedField f)

### getField

    public CachedField getField()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2010 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD